mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_receive_message()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_receive_message | ( | mobilebackup2_client_t | client,
|  | plist_t * | msg_plist,
|  | char ** | dlmessage )

Receives a DL* message plist from the device.

This function is a wrapper around device_link_service_receive_message.

Parameters

  client | The connected MobileBackup client to use.
  msg_plist | Pointer to a plist that will be set to the contents of the message plist upon successful return.
  dlmessage | A pointer that will be set to a newly allocated char* containing the DL* string from the given plist. It is up to the caller to free the allocated memory. If this parameter is NULL it will be ignored.

Returns
  MOBILEBACKUP2_E_SUCCESS if a DL* message was received, MOBILEBACKUP2_E_INVALID_ARG if client or message is invalid, MOBILEBACKUP2_E_PLIST_ERROR if the received plist is invalid or is not a DL* message plist, or MOBILEBACKUP2_E_MUX_ERROR if receiving from the device failed.